Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

EOAccessArrayFaultHandler
EOAccessFaultHandler
EOAccessGenericFaultHandler
EOAdaptor
EOAdaptorChannel
EOAdaptorContext
EOAdaptorOperation
EOAttribute
EODatabase
EODatabaseChannel
EODatabaseContext
EODatabaseDataSource
EODatabaseOperation
EOEntity
EOEntityClassDescription
EOJoin
EOLoginPanel
EOModel
EOModelGroup
EORelationship
EOSQLExpression
EOSQLExpressionFactory
EOSQLQualifier
EOStoredProcedure

### Protocols

<EOColumnTypes>
<EOPropertyListEncoding>
<EOQualifierSQLGeneration>
(EOAdaptorChannelDelegation)
(EOAdaptorContextDelegation)
(EOAdaptorDelegate)
(EODatabaseContextDelegation)
(EOModelGroupClassDelegation)
(EOModelGroupDelegation)
(EOSchemaSynchronizationDelegates)

### Constants

### Functions

EODatabaseContext_globalIDForObjectWithImpPtr
EODatabaseContext_snapshotForGlobalIDWithImpPtr
GDL2_EOAccessPrivateInit

### Macros

### Types

EOAdaptorOperator
EODatabaseOperator
EODelegateResponse
EOJoinSemantic
EOUpdateStrategy

### Variables

EOAccessFaultObjectNotAvailableException
EOAdaptorContextBeginTransactionNotification
EOAdaptorContextCommitTransactionNotification
EOAdaptorContextRollbackTransactionNotification
EOAdaptorFailureKey
EOAdaptorKey
EOAdaptorOperationsKey
EOAdaptorOptimisticLockingFailure
EOAdministrativeConnectionDictionaryKey
EOAdministrativeConnectionDictionaryNeededNotification
EOAllowsNullKey
EOBindVariableAttributeKey
EOBindVariableColumnKey
EOBindVariableNameKey
EOBindVariablePlaceHolderKey
EOBindVariableValueKey
EOColumnNameKey
EOConnectionDictionaryKey
EOCreateDatabaseKey
EOCreatePrimaryKeySupportKey
EOCreateTablesKey
EOCustomQueryExpressionHintKey
EODatabaseChannelNeededNotification
EODatabaseContextKey
EODatabaseOperationsKey
EODeleteProcedureOperation
EODistantPastTimeInterval
EODropDatabaseKey
EODropPrimaryKeySupportKey
EODropTablesKey
EOEntityLoadedNotification
EOExternalNameKey
EOExternalTypeKey
EOFailedAdaptorOperationKey
EOFailedDatabaseOperationKey
EOFetchAllProcedureOperation
EOFetchWithPrimaryKeyProcedureOperation
EOForeignKeyConstraintsKey
EOGeneralAdaptorException
EOGeneralDatabaseException
EOInsertProcedureOperation
EOModelAddedNotification
EOModelInvalidatedNotification
EOModelKey
EOMoreThanOneException
EONameKey
EONextPrimaryKeyProcedureOperation
EOPrecisionKey
EOPrimaryKeyConstraintsKey
EORelationshipsKey
EOScaleKey
EOSchemaSynchronizationForeignKeyConstraintsKey
EOSchemaSynchronizationPrimaryKeyConstraintsKey
EOSchemaSynchronizationPrimaryKeySupportKey
EOStoredProcedureNameHintKey
EOWidthKey
GDL2_EOAttributeClass
GDL2_EODatabaseContextClass
GDL2_EODatabaseContext__globalIDForObjectIMP
GDL2_EODatabaseContext_snapshotForGlobalIDIMP
GDL2_EOEntityClass
GDL2_EORelationshipClass
eqSel
struct _EOTransactionScope

Up

# EOEntity Class

### Authors

Mirko Viviani (`mirko.viviani@gmail.com`)
Manuel Guesdon (`mguesdon@orange-concept.com`)

Date: Generated at 2026-02-03 22:13:20 +0000

Copyright: (C) 2000, 2002, 2003, 2004, 2005 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the EOEntity class
2. Software documentation for the EOEntityClassDescription class
3. Software documentation for the EOEntity(EOEntityClassDescription) category
4. Software documentation for the EOEntity(EOEntityEditing) category
5. Software documentation for the EOEntity(EOEntityGDL2Additions) category
6. Software documentation for the EOEntity(EOModelBeautifier) category
7. Software documentation for the EOEntity(EOModelReferentialIntegrity) category
8. Software documentation for the EOEntity(EOPrimaryKeyGeneration) category
9. Software documentation for the EOEntity(EOStoredProcedures) category
10. Software documentation for the EOEntity(GDL2Extenstions) category
11. Software documentation for the EOEntityClassDescription(GDL2Extenstions) category
12. Software documentation for the NSObject(EOEntity) category
13. Software documentation for the NSString(EODatabaseNameConversion) category
14. EOEntity variables

# Software documentation for the EOEntity class

## EOEntity : NSObject

> Declared in:
>   EOAccess/EOEntity.h

> Conforms to:
>   EOPropertyListEncoding

Description forthcoming.

Instance Variables

### Method summary

- -classDescriptionForInstances
- -addAttribute:
- -addFetchSpecification:withName:
- -addRelationship:
- -addSharedObjectFetchSpecificationByName:
- -addSubEntity:
- -removeAttribute:
- -removeFetchSpecificationNamed:
- -removeRelationship:
- -removeSharedObjectFetchSpecificationByName:
- -removeSubEntity:
- -setAttributesUsedForLocking:
- -setCachesObjects:
- -setClassName:
- -setClassProperties:
- -setExternalName:
- -setExternalQuery:
- -setIsAbstractEntity:
- -setMaxNumberOfInstancesToBatchFetch:
- -setName:
- -setPrimaryKeyAttributes:
- -setReadOnly:
- -setRestrictingQualifier:
- -setSharedObjectFetchSpecificationsByName:
- -setUserInfo:
- -validateName:
- -attributeForPath:
- -relationshipForPath:
- -beautifyName
- -externalModelsReferenced
- -referencesProperty:
- -primaryKeyRootName
- -setStoredProcedure:forOperation:
- -storedProcedureForOperation:
- -docComment
- -setDocComment:
- -anyAttributeNamed:
- -anyRelationshipNamed:
- -attributeNamed:
- -attributes
- -attributesToFetch
- -attributesUsedForLocking
- -cachesObjects
- -className
- -classProperties
- -classPropertyNames
- -externalName
- -externalQuery
- -fetchSpecificationNamed:
- -fetchSpecificationNames
- -globalIDForRow:
- -isAbstractEntity
- -isPrimaryKeyValidInObject:
- -isQualifierForPrimaryKey:
- -isReadOnly
- -isValidAttributeUsedForLocking:
- -isValidClassProperty:
- -isValidPrimaryKeyAttribute:
- -maxNumberOfInstancesToBatchFetch
- -model
- -name
- -parentEntity
- -primaryKeyAttributeNames
- -primaryKeyAttributes
- -primaryKeyForGlobalID:
- -primaryKeyForRow:
- -qualifierForPrimaryKey:
- -relationshipNamed:
- -relationships
- -restrictingQualifier
- -sharedObjectFetchSpecificationNames
- -subEntities
- -userInfo

### anyAttributeNamed:

- (EOAttribute*) anyAttributeNamed: (NSString*)attributeName;
returns attribute named attributeName (no relationship)

### anyRelationshipNamed:

- (EORelationship*) anyRelationshipNamed: (NSString*)relationshipName;
Description forthcoming.

### attributeNamed:

- (EOAttribute*) attributeNamed: (NSString*)attributeName;
Description forthcoming.

### attributes

- (NSArray*) attributes;
Description forthcoming.

### attributesToFetch

- (NSArray*) attributesToFetch;
Description forthcoming.

### attributesUsedForLocking

- (NSArray*) attributesUsedForLocking;
Description forthcoming.

### cachesObjects

- (BOOL) cachesObjects;
Description forthcoming.

### className

- (NSString*) className;
Description forthcoming.

### classProperties

- (NSArray*) classProperties;
Description forthcoming.

### classPropertyNames

- (NSArray*) classPropertyNames;
Description forthcoming.

### externalName

- (NSString*) externalName;
Description forthcoming.

### externalQuery

- (NSString*) externalQuery;
Description forthcoming.

### fetchSpecificationNamed:

- (EOFetchSpecification*) fetchSpecificationNamed: (NSString*)fetchSpecName;
Description forthcoming.

### fetchSpecificationNames

- (NSArray*) fetchSpecificationNames;
Description forthcoming.

### globalIDForRow:

- (EOGlobalID*) globalIDForRow: (NSDictionary*)row;
Description forthcoming.

### isAbstractEntity

- (BOOL) isAbstractEntity;
Description forthcoming.

### isPrimaryKeyValidInObject:

- (BOOL) isPrimaryKeyValidInObject: (id)object;
Description forthcoming.

### isQualifierForPrimaryKey:

- (BOOL) isQualifierForPrimaryKey: (EOQualifier*)qualifier;
Description forthcoming.

### isReadOnly

- (BOOL) isReadOnly;
Description forthcoming.

### isValidAttributeUsedForLocking:

- (BOOL) isValidAttributeUsedForLocking: (EOAttribute*)attribute;
Description forthcoming.

### isValidClassProperty:

- (BOOL) isValidClassProperty: (id)property;
Description forthcoming.

### isValidPrimaryKeyAttribute:

- (BOOL) isValidPrimaryKeyAttribute: (EOAttribute*)attribute;
Description forthcoming.

### maxNumberOfInstancesToBatchFetch

- (unsigned int) maxNumberOfInstancesToBatchFetch;
Description forthcoming.

### model

- (EOModel*) model;
Description forthcoming.

### name

- (NSString*) name;
Description forthcoming.

### parentEntity

- (EOEntity*) parentEntity;
Description forthcoming.

### primaryKeyAttributeNames

- (NSArray*) primaryKeyAttributeNames;
Description forthcoming.

### primaryKeyAttributes

- (NSArray*) primaryKeyAttributes;
Description forthcoming.

### primaryKeyForGlobalID:

- (NSDictionary*) primaryKeyForGlobalID: (EOGlobalID*)gid;
Description forthcoming.

### primaryKeyForRow:

- (NSDictionary*) primaryKeyForRow: (NSDictionary*)row;
Description forthcoming.

### qualifierForPrimaryKey:

- (EOQualifier*) qualifierForPrimaryKey: (NSDictionary*)row;
Description forthcoming.

### relationshipNamed:

- (EORelationship*) relationshipNamed: (NSString*)relationshipName;
Description forthcoming.

### relationships

- (NSArray*) relationships;
Description forthcoming.

### restrictingQualifier

- (EOQualifier*) restrictingQualifier;
Description forthcoming.

### sharedObjectFetchSpecificationNames

- (NSArray*) sharedObjectFetchSpecificationNames;
Description forthcoming.

### subEntities

- (NSArray*) subEntities;
Description forthcoming.

### userInfo

- (NSDictionary*) userInfo;
Description forthcoming.

## Instance Variables for EOEntity Class

### _adaptorDictionaryInitializer

@protected EOMKKDInitializer* _adaptorDictionaryInitializer;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _attributes

@protected NSMutableArray* _attributes;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _attributesByName

@protected NSMutableDictionary* _attributesByName;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _attributesToFetch

@protected NSArray* _attributesToFetch;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _attributesToSave

@protected NSArray* _attributesToSave;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _attributesUsedForLocking

@protected NSMutableArray* _attributesUsedForLocking;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _batchCount

@protected unsigned int _batchCount;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _classDescription

@protected EOClassDescription* _classDescription;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _classForInstances

@protected Class _classForInstances;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _className

@protected NSString* _className;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _classProperties

@protected NSMutableArray* _classProperties;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _classPropertyAttributeNames

@protected NSArray* _classPropertyAttributeNames;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _classPropertyNames

@protected NSArray* _classPropertyNames;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _classPropertyToManyRelationshipNames

@protected NSArray* _classPropertyToManyRelationshipNames;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _classPropertyToOneRelationshipNames

@protected NSArray* _classPropertyToOneRelationshipNames;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _dbSnapshotKeys

@protected NSArray* _dbSnapshotKeys;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _docComment

@protected NSString* _docComment;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _externalName

@protected NSString* _externalName;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _externalQuery

@protected NSString* _externalQuery;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _fetchSpecificationDictionary

@protected NSMutableDictionary* _fetchSpecificationDictionary;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _fetchSpecificationNames

@protected NSArray* _fetchSpecificationNames;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _flattenedAttNameToSnapshotKeyMapping

@protected NSMutableDictionary* _flattenedAttNameToSnapshotKeyMapping;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _hiddenRelationships

@protected NSMutableArray* _hiddenRelationships;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _instanceDictionaryInitializer

@protected EOMKKDInitializer* _instanceDictionaryInitializer;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _internalInfo

@protected NSDictionary* _internalInfo;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _model

@protected EOModel* _model;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _name

@protected NSString* _name;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _parent

@protected EOEntity* _parent;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _primaryKeyAttributeNames

@protected NSArray* _primaryKeyAttributeNames;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _primaryKeyAttributes

@protected NSMutableArray* _primaryKeyAttributes;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _primaryKeyDictionaryInitializer

@protected EOMKKDInitializer* _primaryKeyDictionaryInitializer;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _propertiesToFault

@protected NSMutableArray* _propertiesToFault;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _propertyDictionaryInitializer

@protected EOMKKDInitializer* _propertyDictionaryInitializer;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _relationships

@protected NSMutableArray* _relationships;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _relationshipsByName

@protected NSMutableDictionary* _relationshipsByName;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _restrictingQualifier

@protected EOQualifier* _restrictingQualifier;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _singleTableRestrictingQualifier

@protected EOQualifier* _singleTableRestrictingQualifier;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _singleTableSubEntityDictionary

@protected NSMutableDictionary* _singleTableSubEntityDictionary;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _singleTableSubEntityKey

@protected NSString* _singleTableSubEntityKey;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _snapshotDictionaryInitializer

@protected EOMKKDInitializer* _snapshotDictionaryInitializer;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _snapshotToAdaptorRowSubsetMapping

@protected EOMKKDSubsetMapping* _snapshotToAdaptorRowSubsetMapping;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _storedProcedures

@protected NSMutableDictionary* _storedProcedures;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _subEntities

@protected NSMutableArray* _subEntities;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _userInfo

@protected NSDictionary* _userInfo;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the EOEntityClassDescription class

## EOEntityClassDescription : EOClassDescription

> Declared in:
>   EOAccess/EOEntity.h

Description forthcoming.

Instance Variables

### Method summary

- -dictionaryForInstanceProperties
- -entity
- -fetchSpecificationNamed:
- -initWithEntity:

### entity

- (EOEntity*) entity;
Description forthcoming.

### fetchSpecificationNamed:

- (EOFetchSpecification*) fetchSpecificationNamed: (NSString*)name;
Description forthcoming.

### initWithEntity:

- (id) initWithEntity: (EOEntity*)entity;
Description forthcoming.

## Instance Variables for EOEntityClassDescription Class

### _entity

@protected EOEntity* _entity;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### extraRefCount

@protected unsigned int extraRefCount;
Description forthcoming.

# Software documentation for the EOEntity(EOEntityClassDescription) category

## EOEntity(EOEntityClassDescription)

> Declared in:
>   EOAccess/EOEntity.h

Description forthcoming.

### Method summary

- -classDescriptionForInstances

### classDescriptionForInstances

- (EOClassDescription*) classDescriptionForInstances;
Description forthcoming.

# Software documentation for the EOEntity(EOEntityEditing) category

## EOEntity(EOEntityEditing)

> Declared in:
>   EOAccess/EOEntity.h

Description forthcoming.

### Method summary

- -addAttribute:
- -addFetchSpecification:withName:
- -addRelationship:
- -addSharedObjectFetchSpecificationByName:
- -addSubEntity:
- -removeAttribute:
- -removeFetchSpecificationNamed:
- -removeRelationship:
- -removeSharedObjectFetchSpecificationByName:
- -removeSubEntity:
- -setAttributesUsedForLocking:
- -setCachesObjects:
- -setClassName:
- -setClassProperties:
- -setExternalName:
- -setExternalQuery:
- -setIsAbstractEntity:
- -setMaxNumberOfInstancesToBatchFetch:
- -setName:
- -setPrimaryKeyAttributes:
- -setReadOnly:
- -setRestrictingQualifier:
- -setSharedObjectFetchSpecificationsByName:
- -setUserInfo:
- -validateName:

### addAttribute:

- (void) addAttribute: (EOAttribute*)attribute;
Description forthcoming.

### addFetchSpecification: withName:

- (void) addFetchSpecification: (EOFetchSpecification*)fetchSpec withName: (NSString*)name;
Description forthcoming.

### addRelationship:

- (void) addRelationship: (EORelationship*)relationship;
Description forthcoming.

### addSharedObjectFetchSpecificationByName:

- (void) addSharedObjectFetchSpecificationByName: (NSString*)name;
Description forthcoming.

### addSubEntity:

- (void) addSubEntity: (EOEntity*)child;
Description forthcoming.

### removeAttribute:

- (void) removeAttribute: (EOAttribute*)attribute;
Removes the attribute from the -attributes array, and the -classProperties , and -primaryKeyAttributes arrays if they contain it. does not remove any references to the attribute from other properties. the caller should insure that no such references exist by calling -referencesProperty: or [EOModel -referencesToProperty:].

### removeFetchSpecificationNamed:

- (void) removeFetchSpecificationNamed: (NSString*)name;
Description forthcoming.

### removeRelationship:

- (void) removeRelationship: (EORelationship*)relationship;
Removes the relationship from the -relationships array and the -classProperties array if it contains the relationship. The caller should insure that no references to the relationship exist by calling -referencesProperty: or [EOModel -referencesToProperty].

### removeSharedObjectFetchSpecificationByName:

- (void) removeSharedObjectFetchSpecificationByName: (NSString*)name;
Description forthcoming.

### removeSubEntity:

- (void) removeSubEntity: (EOEntity*)child;
Description forthcoming.

### setAttributesUsedForLocking:

- (BOOL) setAttributesUsedForLocking: (NSArray*)attributes;
Description forthcoming.

### setCachesObjects:

- (void) setCachesObjects: (BOOL)flag;
Description forthcoming.

### setClassName:

- (void) setClassName: (NSString*)name;
Description forthcoming.

### setClassProperties:

- (BOOL) setClassProperties: (NSArray*)properties;
Description forthcoming.

### setExternalName:

- (void) setExternalName: (NSString*)name;
Description forthcoming.

### setExternalQuery:

- (void) setExternalQuery: (NSString*)query;
Description forthcoming.

### setIsAbstractEntity:

- (void) setIsAbstractEntity: (BOOL)flag;
Description forthcoming.

### setMaxNumberOfInstancesToBatchFetch:

- (void) setMaxNumberOfInstancesToBatchFetch: (unsigned int)size;
Description forthcoming.

### setName:

- (void) setName: (NSString*)name;
Description forthcoming.

### setPrimaryKeyAttributes:

- (BOOL) setPrimaryKeyAttributes: (NSArray*)keys;
Description forthcoming.

### setReadOnly:

- (void) setReadOnly: (BOOL)flag;
Description forthcoming.

### setRestrictingQualifier:

- (void) setRestrictingQualifier: (EOQualifier*)qualifier;
Description forthcoming.

### setSharedObjectFetchSpecificationsByName:

- (void) setSharedObjectFetchSpecificationsByName: (NSArray*)names;
Description forthcoming.

### setUserInfo:

- (void) setUserInfo: (NSDictionary*)dictionary;
Description forthcoming.

### validateName:

- (NSException*) validateName: (NSString*)name;
Description forthcoming.

# Software documentation for the EOEntity(EOEntityGDL2Additions) category

## EOEntity(EOEntityGDL2Additions)

> Declared in:
>   EOAccess/EOEntity.h

Useful private methods made public in GDL2

### Method summary

- -attributeForPath:
- -relationshipForPath:

### attributeForPath:

- (EOAttribute*) attributeForPath: (NSString*)path;
Returns attribute (if any) for path

### relationshipForPath:

- (EORelationship*) relationshipForPath: (NSString*)path;
Returns relationship (if any) for path

# Software documentation for the EOEntity(EOModelBeautifier) category

## EOEntity(EOModelBeautifier)

> Declared in:
>   EOAccess/EOEntity.h

Description forthcoming.

### Method summary

- -beautifyName

### beautifyName

- (void) beautifyName;
Description forthcoming.

# Software documentation for the EOEntity(EOModelReferentialIntegrity) category

## EOEntity(EOModelReferentialIntegrity)

> Declared in:
>   EOAccess/EOEntity.h

Description forthcoming.

### Method summary

- -externalModelsReferenced
- -referencesProperty:

### externalModelsReferenced

- (NSArray*) externalModelsReferenced;
Description forthcoming.

### referencesProperty:

- (BOOL) referencesProperty: (id)property;
Description forthcoming.

# Software documentation for the EOEntity(EOPrimaryKeyGeneration) category

## EOEntity(EOPrimaryKeyGeneration)

> Declared in:
>   EOAccess/EOEntity.h

Description forthcoming.

### Method summary

- -primaryKeyRootName

### primaryKeyRootName

- (NSString*) primaryKeyRootName;
Description forthcoming.

# Software documentation for the EOEntity(EOStoredProcedures) category

## EOEntity(EOStoredProcedures)

> Declared in:
>   EOAccess/EOEntity.h

Description forthcoming.

### Method summary

- -setStoredProcedure:forOperation:
- -storedProcedureForOperation:

### setStoredProcedure: forOperation:

- (void) setStoredProcedure: (EOStoredProcedure*)storedProcedure forOperation: (NSString*)operation;
Description forthcoming.

### storedProcedureForOperation:

- (EOStoredProcedure*) storedProcedureForOperation: (NSString*)operation;
Description forthcoming.

# Software documentation for the EOEntity(GDL2Extenstions) category

## EOEntity(GDL2Extenstions)

> Declared in:
>   EOAccess/EOEntity.h

Description forthcoming.

### Method summary

- -docComment
- -setDocComment:

### docComment

- (NSString*) docComment;
Description forthcoming.

### setDocComment:

- (void) setDocComment: (NSString*)docComment;
Description forthcoming.

# Software documentation for the EOEntityClassDescription(GDL2Extenstions) category

## EOEntityClassDescription(GDL2Extenstions)

> Declared in:
>   EOAccess/EOEntity.h

Description forthcoming.

### Method summary

- -dictionaryForInstanceProperties

### dictionaryForInstanceProperties

- (EOMutableKnownKeyDictionary*) dictionaryForInstanceProperties;
returns a new autoreleased mutable dictionary to store properties returns `nil` if there's no key in the instanceDictionaryInitializer

# Software documentation for the NSObject(EOEntity) category

## NSObject(EOEntity)

> Declared in:
>   EOAccess/EOEntity.h

Description forthcoming.

### Method summary

- +_instanceDictionaryInitializerExcludedPropertyNames

### _instanceDictionaryInitializerExcludedPropertyNames

+ (NSArray*) _instanceDictionaryInitializerExcludedPropertyNames;
should returns an array of property names to exclude from entity instanceDictionaryInitializer
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.
should returns a set of property names to exclude from entity instanceDictionaryInitializer

# Software documentation for the NSString(EODatabaseNameConversion) category

## NSString(EODatabaseNameConversion)

> Declared in:
>   EOAccess/EOEntity.h

Description forthcoming.

### Method summary

- +externalNameForInternalName:separatorString:useAllCaps:
- +nameForExternalName:separatorString:initialCaps:

### externalNameForInternalName: separatorString: useAllCaps:

+ (NSString*) externalNameForInternalName: (NSString*)internalName separatorString: (NSString*)separatorString useAllCaps: (BOOL)allCaps;
Description forthcoming.

### nameForExternalName: separatorString: initialCaps:

+ (NSString*) nameForExternalName: (NSString*)externalName separatorString: (NSString*)separatorString initialCaps: (BOOL)initialCaps;
Description forthcoming.

# EOEntity variables

### EODeleteProcedureOperation

NSString* EODeleteProcedureOperation;
Description forthcoming.

### EOFetchAllProcedureOperation

NSString* EOFetchAllProcedureOperation;
Description forthcoming.

### EOFetchWithPrimaryKeyProcedureOperation

NSString* EOFetchWithPrimaryKeyProcedureOperation;
Description forthcoming.

### EOInsertProcedureOperation

NSString* EOInsertProcedureOperation;
Description forthcoming.

### EONextPrimaryKeyProcedureOperation

NSString* EONextPrimaryKeyProcedureOperation;
Description forthcoming.

Up